<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [CorpMaterialConstantData](./bitburner.corpmaterialconstantdata.md)

## CorpMaterialConstantData interface

Corporation material information

**Signature:**

```typescript
interface CorpMaterialConstantData 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [baseCost](./bitburner.corpmaterialconstantdata.basecost.md) |  | number |  |
|  [baseMarkup](./bitburner.corpmaterialconstantdata.basemarkup.md) |  | number |  |
|  [competitionBase](./bitburner.corpmaterialconstantdata.competitionbase.md) |  | number |  |
|  [competitionRange](./bitburner.corpmaterialconstantdata.competitionrange.md) |  | \[min: number, max: number\] |  |
|  [demandBase](./bitburner.corpmaterialconstantdata.demandbase.md) |  | number |  |
|  [demandRange](./bitburner.corpmaterialconstantdata.demandrange.md) |  | \[min: number, max: number\] | Min and max demand |
|  [maxVolatility](./bitburner.corpmaterialconstantdata.maxvolatility.md) |  | number |  |
|  [name](./bitburner.corpmaterialconstantdata.name.md) |  | string | Name of the material |
|  [size](./bitburner.corpmaterialconstantdata.size.md) |  | number | Size of the material |

